source $stdenv/setup

# Set up Ruby to use UTF-8
export RUBYOPT="-KU -E utf-8:utf-8"

# Copy files to a mutable directory.
cp -r $src/* .
# We'll generate some static files so make static writable
mkdir -p static && chmod -R u+w static

# Build site with Hugo
hugo $hugoFlags --config=config.toml,config-gen.toml

# Create generated files
# Can't do submodules because nix flake inputs get their .git deleted
mkdir -p static/graph && ruby ./analyze.rb > static/graph/graph.gen.js # Graph files
stork build --input public/index.toml --output static/index.st # Search index
cp $resume/Resume-Danila-Fedorin.pdf static/Resume-Danila-Fedorin.pdf

# Static folder changed, re-run Hugo
hugo $hugoFlags --config=config.toml,config-gen.toml

# Output result
mkdir $out
cp -r public/$publicPath/* $out/

# Render math in HTML and XML files.
find $out/ -regex "$out/.*\.html" | xargs katex-html
