{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    katex-html.url = "git+https://dev.danilafe.com/Nix-Configs/katex-html";
    resume.url = "git+https://dev.danilafe.com/DanilaFe/resume"; 
    blog-source = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      type = "git";
      submodules = true;
    };
  };

  outputs = { self, blog-source, nixpkgs, flake-utils, katex-html, resume }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        lib = import ./lib.nix {
          inherit blog-source;
          pkgs = import nixpkgs { inherit system; };
          katex-html = katex-html.defaultPackage.${system};
          resume = resume.defaultPackage.${system};
        };
      in
        {
          inherit lib;
          defaultPackage = lib.english { host = "danilafe.com"; };
        }
    );
}
